import json
import requests
import sys
import cv2
import numpy as np
import base64
from proto import parseservice_pb2
from proto.protobuf_to_dict import protobuf_to_dict

url = "http://xxx:xxxx/GeneralClassifyService/classify"
filename_path = "./11111.jpeg"

with open(filename_path, 'rb') as f:
    contents = f.read()
	  
proto_data = parseservice_pb2.ParseServiceRequest()
proto_data.image = contents

data = proto_data.SerializeToString()

data = {"data": base64.b64encode(data).decode()}

request_body = json.dumps(data)

response = requests.post(url,data=request_body)

res_json = json.loads(response.text)
result = base64.b64decode(res_json['result'])
proto_result = parseservice_pb2.ParseServiceResponse()
proto_result.ParseFromString(result)
res_json['result'] = protobuf_to_dict(proto_result)

if res_json["err_no"] == 0:
	scoremap = base64.b64decode(res_json["result"]['scoremap'])
	nparr = np.frombuffer(scoremap, np.uint8)
	scoreimg = cv2.imdecode(nparr, 0)
	cv2.imwrite('pp.png',scoreimg)
else:
	print(res_json["err_no"])
